首页 > IT杂谈 > Google App Engine Jsp的jdk问题

Google App Engine Jsp的jdk问题

2009年4月12日 发表评论 阅读评论

      google app engine 开始支持java,于是我便去尝试了一下,在eclipse 里面 安装了 Google Plugin for Eclipse 件。 创建了一个google Web Application Project 项目,但是我一旦在 war 文件夹下创建 *.jsp 文件,就会报错,说什么 要设置 ,jdk 之类的,错误信息:"Your Web Application Project must be configured to use a JDK in order to use JSPs"。

        后来发现,eclipse默认用的是JRE的话,是会报错的,使用eclipse的JRE System library是 JDK,则错误信息就没有了.在eclipse的菜单中,选择windows – preferences – myeclipse – application server – 找对应的服务器 – jdk <选择/新建>。jre只是运行环境,jdk才是开发环境,原来使用插件上传时,google使用环境中配置的jdk来重新编译jsp文件,因此只有jre运行环境是不行,必须配置jdk,也会导致不能上传jsp。

分类: IT杂谈 标签: 3,135 次阅读
原文链接:http://www.wenhq.com/article/view_289.html
欢迎转载,请注明出处:亲亲宝宝
  1. 本文目前尚无任何评论.
  1. 本文目前尚无任何 trackbacks 和 pingbacks.